Subject: Flow label in IPv6 header.

From: user user <[email-masked]>
Date: Sun, 14 Apr 2002 08:44:22 -0700 (PDT)

Hello,

I am using Linux 2.4.2.
I tried transferring some data over raw IPv6 sockets using sendmsg() and recvmsg(). Using ancillary data objects I was able to set the HOPLIMIT. But could not find any means of setting Flow label. I tried setting the flow label in the sockaddr_in6 structure which is pointed to by the msg_name field in the msghdr. This msghdr is one of the arguments to sendmsg().

At the receiving end too, I access this field from the same sockaddr_in6 structure returned by recvmsg(). Irrespective of the value set at the source, at the receiving end, I always get flow label value: 0.

Can anyone please tell me how to set flow labels at the source and how to access them at the destination ?  The rfcs dont provide much information on this.

Thanks in advance.

---------------------------------
Do You Yahoo!?
Yahoo! Tax Center - online filing with TurboTax